<div class="main-content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header">
            <h4 class="card-title">Filtro por Vacunación</h4>
          </div>
          <div class="card-body">
            <div class="row">
              <div class="col-md-4">
                <mat-form-field>
                  <mat-select [formControl]="statusvaccineId" placeholder="Estado de vacunación"
                              (selectionChange)="refreshPage(1)">
                    <mat-option [value]="null">--Seleccione--</mat-option>
                    <mat-option *ngFor="let status of listStatus" [value]="status.id">
                      {{ status.description }}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div>
              <div class="col-md-4">
                <mat-form-field>
                  <mat-select [formControl]="typeVaccineId" placeholder="Tipo de vacuna"
                              (selectionChange)="refreshPage(1)">
                    <mat-option [value]="null">--Seleccione--</mat-option>
                    <mat-option *ngFor="let type of listType" [value]="type.id">
                      {{ type.description }}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div>
              <div class="col-md-4">
                <mat-form-field>
<!--                  <mat-date-range-input [rangePicker]="dateRangePicker">-->
<!--                    <input matStartDate dateFormat="dd-mm-yyyy"-->
<!--                           placeholder="Fecha inicio"-->
<!--                           #dateRangeStart>-->
<!--                    <input matEndDate dateFormat="dd-mm-yyyy"-->
<!--                           placeholder="Fecha fin vacunación"-->
<!--                           #dateRangeEnd-->
<!--                           (dateChange)="dateRangeChange(dateRangeStart, dateRangeEnd)">-->
<!--                  </mat-date-range-input>-->
<!--                  <mat-datepicker-toggle matPrefix [for]="dateRangePicker"></mat-datepicker-toggle>-->
<!--                  <mat-date-range-picker #dateRangePicker></mat-date-range-picker>-->
                  <input matInput [matDatepicker]="datepicker" dateFormat="dd-mm-yyyy" (focus)="datepicker.open()"
                         [max]="maxDate" (click)="datepicker.open()"
                         (dateChange)= "refreshPage(1)"
                         placeholder="Fecha de vacunación" [formControl]="vaccinedate"/>
                  <mat-datepicker-toggle matSuffix [for]="datepicker"></mat-datepicker-toggle>
                  <mat-datepicker touchUi #datepicker></mat-datepicker>
                </mat-form-field>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-md-12">
        <div class="card">
          <div class="card-header card-header-danger">
            <div class="row">
            <h4 class="card-title col-md-9">Lista de Empleados</h4>
            <div class="col-md-2 text-right pr-10">
              <button color="primary" mat-icon-button matTooltip="Nuevo empleado" (click)="openDialog()">
                  <mat-icon>add</mat-icon>
                  <label class="newemployee">Nuevo</label>
              </button>
            </div>
            </div>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <div class="text-center" *ngIf="dataSource.loading$ | async">
                <mat-spinner></mat-spinner>
              </div>

              <table mat-table [dataSource]="dataSource" class="table table-hover">
                <ng-container matColumnDef="action">
                  <th mat-header-cell *matHeaderCellDef class="text-primary">Acción</th>
                  <td mat-cell *matCellDef="let employee">
                    <button mat-icon-button
                            (click)="openDialog(employee.id)"
                            color="primary"
                            matTooltip="Editar Empleado">
                      <mat-icon class="mat-icon material-icons">edit</mat-icon>
                    </button>
                    <button mat-icon-button
                            (click)="delete(employee.id)"
                            color="warn"
                            matTooltip="Eliminar Empleado">
                      <mat-icon class="mat-icon material-icons">delete</mat-icon>
                    </button>
                  </td>
                </ng-container>
                <ng-container matColumnDef="identification">
                  <th mat-header-cell *matHeaderCellDef class="text-primary">
                    <mat-form-field>
                      <input matInput type="text" placeholder="Cédula"
                             [formControl]="identification" (keyup.enter)="refreshPage()"/>
                    </mat-form-field>
                  </th>
                  <td mat-cell *matCellDef="let employee">
                    {{employee.identification}}
                  </td>
                </ng-container>
                <ng-container matColumnDef="names">
                  <th mat-header-cell *matHeaderCellDef class="text-primary">
                    <mat-form-field>
                      <input matInput type="text" placeholder="Nombres"
                             [formControl]="name" (keyup.enter)="refreshPage()"/>
                    </mat-form-field>
                  </th>
                  <td mat-cell *matCellDef="let employee">
                    {{employee.names}}
                  </td>
                </ng-container>
                <ng-container matColumnDef="email">
                  <th mat-header-cell *matHeaderCellDef class="text-primary">
                    <mat-form-field>
                      <input matInput type="text" placeholder="Correo electrónico"
                             [formControl]="email" (keyup.enter)="refreshPage()"/>
                    </mat-form-field>
                  </th>
                  <td mat-cell *matCellDef="let employee">
                    {{employee.email}}
                  </td>
                </ng-container>
                <ng-container matColumnDef="surnames">
                  <th mat-header-cell *matHeaderCellDef class="text-primary">
                    <mat-form-field>
                      <input matInput type="text" placeholder="Apellidos"
                             [formControl]="email" (keyup.enter)="refreshPage()"/>
                    </mat-form-field>
                  </th>
                  <td mat-cell *matCellDef="let employee">
                    {{employee.surnames}}
                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let employee; columns: displayedColumns" [@state]=employee.identification></tr>
              </table>
              <app-datatable-paginator #paginator [dataSource]="dataSource"></app-datatable-paginator>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
